com.ibm.openpages.api.search

## Class UserFacetParam

- java.lang.Object
- - com.ibm.openpages.api.search.UserFacetParam

-     public class UserFacetParam
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `UserFacetParam.UserFacetAction` The 'A' value in: {!T A}[DATA] m = Me, & o = Others
    `static class` | `UserFacetParam.UserFacetType` The 'T' value in: {!T A}[DATA] !c = CreatedBy, !l = LastModifiedBy, & !o = NameOnObject

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UserFacetParam(java.lang.String userData)` Constructs a UserFacetParam object to be used for user facet search.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `UserFacetParam.UserFacetAction` | `getAction()` Get the user facet action: Me, and Others
    `UserFacetParam.UserFacetType` | `getType()` Get the user facet type: Created By, Last Modified By, and Name On Object
    `java.lang.String` | `getUser()` Get the user facet data formated for Solr usage.
    `boolean` | `isValid()` Checks to see if this object contains valid user parameters or not.
    `void` | `setAction(UserFacetParam.UserFacetAction action)` Set the user facet action: Me, and Others
    `void` | `setType(UserFacetParam.UserFacetType type)` Set the user facet type: Created By, Last Modified By, and Name On Object
    `void` | `setUser(java.lang.String user)` Set the user facet data for Solr usage.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UserFacetParam

          public UserFacetParam(java.lang.String userData)

      Constructs a UserFacetParam object to be used for user facet search. Takes a user facet string based on OP's user facet URI and converts it into Solr consumable user facet. The input string format is: &fdt={!T A}[DATA] Where: T == Type of user facet -- !c = CreatedBy, !l = LastModifiedBy, and !o = NameOnObject A == Action on user facet -- m = Me, and o = Others DATA = Data of user facet -- Comma delimited list of users Examples of OP users facet URI: {!c m}[admin] {!c o}[admin,user1, user2] {!l m}[user1] {!l o}[user1, user2,user3, user4] {!o m}[user5] {!o o}[admin]
      Parameters:
        `userData` - The user facet syntax

  - ### Method Detail

    - #### isValid

          public boolean isValid()

      Checks to see if this object contains valid user parameters or not.
      Returns:
        'true' if the user parameters is valid, 'false' otherwise.

    - #### getType

          public UserFacetParam.UserFacetType getType()

      Get the user facet type: Created By, Last Modified By, and Name On Object
      Returns:
        The user facet type.

    - #### setType

          public void setType(UserFacetParam.UserFacetType type)

      Set the user facet type: Created By, Last Modified By, and Name On Object
      Parameters:
        `type` - The user facet type.

    - #### getAction

          public UserFacetParam.UserFacetAction getAction()

      Get the user facet action: Me, and Others
      Returns:
        The user facet action.

    - #### setAction

          public void setAction(UserFacetParam.UserFacetAction action)

      Set the user facet action: Me, and Others
      Parameters:
        `action` - The user facet action.

    - #### getUser

          public java.lang.String getUser()

      Get the user facet data formated for Solr usage.
      Returns:
        The user facet data.

    - #### setUser

          public void setUser(java.lang.String user)

      Set the user facet data for Solr usage.
      Parameters:
        `user` - The user facet data.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2021. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.